// STYLE NAVBAR

.navbar {
    width           : 100%;
    padding-bottom  : 1rem;
    background-color: #fff;

    @include mobile {
        display: none;
    }

    &.sticky {
        z-index         : 999;
        position        : fixed;
        top             : 0;
        background-color: $complementary;
        transition      : 300ms ease;
    }

    .navbar-nav {
        display        : flex;
        flex-direction : row;
        justify-content: space-between;
        width          : 80%;
        padding        : 1rem 0 0.5rem 0;
        margin         : 0 auto;
        list-style     : none;

        @include mobile {
            width: 95%;
        }

        // LINK
        a {
            display        : block;
            height         : 23px;
            color          : #000;
            text-decoration: none;
            transition     : 200ms ease;

            @include mobile {
                font-size: 0.8rem;
            }

            &.sticky {
                color: #fff;
            }
        }

        // LINK ACTIVE BY SCROLL
        a.active {
            font-size     : 1.2rem;
            letter-spacing: 0.3rem;

            @include inter {
                letter-spacing: 0;
                color: #fff;
            }

            @include mobile {
                font-size     : 1.1rem;
            }
        }
    }

    // SCROLL PROGRESS BAR
    .scroll {
        width           : 80%;
        height          : 6px;
        margin          : auto;
        border-radius   : 10px;
        background-color: $grey;
    
        .scroll-bar {
            width           : 0%;
            height          : 100%;
            border-radius   : 10px;
            background-color: $complementary;

            &.sticky {
                background-color: $third;
            }
        }
    }
}
